# $Revision: 1.4 $, $Date: 1999/10/16 13:05:25 $
Name: 		irssi
Version: 	0.7.21
Release: 	1
Vendor: 	Timo Sirainen <cras@irccrew.org>
Summary:  	Irssi is a IRC client
Summary(pl):	Irssi - klient IRC
Copyright: 	GPL
Group: 		Applications/Communications
Group(pl):      Aplikacje/Komunikacja
URL: 		http://xlife.dhs.org/irssi/
Source0: 	http://xlife.dhs.org/irssi/files/%{name}-%{version}.tar.gz
BuildRequires:	libPropList-devel
BuildRequires:	glib-devel
BuildRequires:	ncurses-devel
BuildRequires:	imlib-devel
BuildRequires:	gtk+-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	XFree86-devel
BuildRoot: 	/tmp/%{name}-%{version}-root

%define		_sysconfdir	/etc
%define		configure { CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ;  CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ;  FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ; ./configure %{_target_platform} 	--prefix=%{_prefix} --exec-prefix=%{_exec_prefix} --bindir=%{_bindir} --sbindir=%{_sbindir} --sysconfdir=%{_sysconfdir} --datadir=%{_datadir} --includedir=%{_includedir} --libdir=%{_libdir} --libexecdir=%{_libexecdir} --localstatedir=%{_localstatedir} --sharedstatedir=%{_sharedstatedir} --mandir=%{_mandir} --infodir=%{_infodir} }

%description
Irssi is a textUI IRC client with IPv6 support 
by Timo Sirainen <cras@irccrew.org>.
More information can be found at http://xlife.dhs.org/irssi/.

%description -l pl
Irssi jest tekstowym klientem IRC ze wsparciem dla IPv6.
Napisany zosta przez Timo Strainen <cras@irccrew.org>
Wicej informacji mona znale pod adresem
http://xlife.dhs.org/irssi/

%package GNOME
Summary: 	GNOME version of irssi IRC client
Summary(pl):	Wersja dla rodowiska GNOME klienta IRC irssi
Group:		X11/Applications/Communications
Group(pl):	X11/Aplikacje/Komunikacja
Requires:	%{name} = %{version}

%description GNOME
Irssi is a GTK based (with GNOME) GUI IRC client with IPv6 support
by Timo Sirainen <cras@irccrew.org>.
More information can be found at http://xlife.dhs.org/irssi/.

%description GNOME -l pl
Irssi jest graficznym klientem IRC ze wsparciem dla IPv6 pracujcym
w rodowisku GNOME. Napisany zosta przez Timo Sirainen <cras@irccrew.org>.
Wicej informacji mona znale pod adresem
http://xlife.dhs.org/irssi/

%prep
%setup -q

%build
CPPFLAGS="-I/usr/X11R6/include"; export CPPFLAGS
LDFLAGS="-s -L/usr/X11R6/lib"; export LDFLAGS
%configure \
	--with-gnome \
	--with-gnome-panel \
	--with-imlib \
	--enable-ipv6 \
	--with-textui=ncurses \
	--with-proplist \
	--without-socks \
	--with-plugins
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
strip --strip-unneeded $RPM_BUILD_ROOT%{_libdir}/irssi/plugins/lib*.so.*.*

gzip -9fn AUTHORS ChangeLog README TODO NEWS

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr (644,root,root,755)
%doc {AUTHORS,ChangeLog,README,TODO,NEWS}.gz

%attr(755,root,root) %{_bindir}/irssi-text
%attr(755,root,root) %{_bindir}/irssi-bot

%dir %{_sysconfdir}/irssi
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/irssi/*

%dir %{_libdir}/irssi
%dir %{_libdir}/irssi/plugins
%attr(755,root,root) %{_libdir}/irssi/plugins/lib*.so.*.*
%attr(755,root,root) %{_libdir}/irssi/plugins/lib*.so
#%attr(755,root,root) %{_libdir}/irssi/plugins/lib*.la
#%attr(755,root,root) %{_libdir}/irssi/plugins/lib*.a

%files GNOME
%defattr (644,root,root,755)
%attr(755,root,root) %{_bindir}/irssi

%{_sysconfdir}/CORBA/servers/irssi.gnorba
%{_datadir}/applets/Network/irssi.desktop
%{_datadir}/gnome/help/irssi

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All below listed persons can be reached on <cvs_login>@pld.org.pl

$Log: irssi.spec.in,v $
Revision 1.4  1999/10/16 13:05:25  wiget
- polish translation

Revision 1.3  1999/09/13 16:50:25  wiget
- fixed %%configure macro

Revision 1.2  1999/09/04 11:42:33  wiget
- new way to update Version: field in spec
- new target for make 'make rpm'

Revision 1.4  1999/09/03 09:36:24  wiget
- updated to 0.7.16alpha-1

Revision 1.3  1999/09/02 17:27:36  wiget
- added BuildRequires rules

Revision 1.2  1999/09/02 17:22:51  wiget
- rewrite to PLD style coding:
-- correct Group and Group(pl)
-- %%changelog moved to end
-- splited to irssi and irssi-GNOME
-- added patch to allow 'make install DESTDIR=/some/dir'
-- added ./configure parameters
-- striped unneeded symbol from plugins
-- gziped docs
-- corrected %%files section

- based at spec from tarball (by JT Traub <jtraub@dragoncat.net>)
